Ajuda para instalar Firebird2.1-Classic Server no Unbuntu Server 14.04.1 (Trusty Tahr)

1. Ajuda para instalar Firebird2.1-Classic Server no Unbuntu Server 14.04.1 (Trusty Tahr)

Wanderson Barcelos
necronomico

(usa Ubuntu)

Enviado em 12/02/2015 - 13:37h

Boa tarde amigos do VOL,
me deparei com um probleminha aqui: por questões de compatibilidade preciso instalar uma versão um pouco antiga do firebird, a 2.1-CS (Classic Server) em um Ubuntu Server 14.04.1 64b.
Em outras ocasiões, já instalei esta versão do firebird em versões mais antigas do debian e ubuntu sem muitos problemas, mas na versão 14.04.1 do ubuntu não consegui.
Segue um resumo do que já foi feito:
*instalei o libstdc++5 (64b), sem problemas aqui.
*usei o instalador http://sourceforge.net/projects/firebird/files/firebird-linux-amd64/2.1.7-Release/FirebirdCS-2.1.7.1... , do próprio site firebirdsql.org (é um tar.gz que apos descompactado entre alguns arquivos, disponibiliza um install.sh que faz todo o processo de instalação.)
*não consegui fazer a instalação via apt-get, pois ao que parece só existe repositórios disponíveis para o firebird na versão 2.5 para cima.
*após rodar o script de instalação como root, ele faz todas perguntas rotineira e finaliza a instalação com status de sucesso, mas ao verificar se existe algum processo do firebird rodando (ps aux | grep firebird ou ainda ps aux | grep fbserver) não retorna nenhum processo em execução.
*tentei levantar o serviço com um "service firebird start" mas a saída é "firebird: unrecognized service"
*em um fórum em Polonês (acredito eu), dava uma dica para renomear o arquivo "/usr/lib64/libfbclient.so" para "/usr/lib64/libfbclient.so.1" mas não obtive sucesso com esta dica.

Caso tenham alguma outra dica fico feliz em ouvi-las.

Obrigado


  






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts